
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Struts2：在 Action 中访问 WEB 资源 / 憋错料</title>

    <meta name="description" content="Struts2：在 Action 中访问 WEB 资源 1.什么是 WEB 资源? HttpServletRequest.HttpSession.ServletContext 等原生的 Servlet API. 2.为什么访问 WEB 资源? B/S 的应用的 Controller 中必然需要访问 WEB 资源(向域对象中读写属性.读写Cookie.获取 realPath 等) 3.如何访问? 1).和Servlet API 解耦的方式:只能访问有限的 Servlet API 对象,且只能访问有限的方法.(使用 ActionContext .实现 X">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Struts2：在 Action 中访问 WEB 资源</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>1、什么是 WEB 资源？</strong></p>
<p>HttpServletRequest、HttpSession、ServletContext 等原生的 Servlet API。</p>
<p><strong>2、为什么访问 WEB 资源？</strong></p>
<p>B/S 的应用的 Controller 中必然需要访问 WEB 资源（向域对象中读写属性、读写Cookie、获取 realPath 等）</p>
<p><strong>3、如何访问？</strong></p>
<p>1）、和Servlet API 解耦的方式：只能访问有限的 Servlet API 对象，且只能访问有限的方法。（使用 ActionContext 、实现 XxxAware 接口）。</p>
<p>2）、和 &nbsp;Servlet 耦合的方式：可以访问更多的 Servlet API 对象，可以调用其原生的方法。（使用 ServletActionContext、实现 ServletXxxAware 接口）。</p>
<p>两者区别：若一个 Action 类中有多个 action 方法，且多个方法都需要使用域对象的Map 或 parameters ，则建议使用实现 XxxAware 接口的方式。</p>
<p><strong>具体分析：</strong></p>
<p>一、使用 ActionContext 对象来获取 WEB 资源：</p>
<p>0、获取 ActionContext 对象</p>
<p>　　//ActionContext 是 Action 的上下文对象。可以从中获取到当前 Action 需要的一切信息。</p>
<p>　　ActionContext actionContext = ActionContext.getContext();</p>
<p>1、获取 appliction 对应的 Map，并向其中添加一个属性</p>
<p>　　//通过调用 ActionContext 对象的 getApplication() 方法来获取 application 对象的 Map 对象。</p>
<p>　　Map&lt;String, Object&gt; applicationMap = actionContext.getApplication();</p>
<p>　　//设置属性</p>
<p>　　applicationMap.put("applicationKey","applicationValue");</p>
<p>　　//获取属性</p>
<p>　　applicationMap.get("date");</p>
<p>2、session (可以进行属性的读写操作)</p>
<p>注：session 对应的 Map 实际上是 SessionMap 类型的! 强转后若调用 invalidate() 方法，可以使其 session 失效。</p>
<p>　　Map&lt;String, Object&gt; sessionMap = actionContext.getSession();</p>
<p>　　sessionMap.put("sessionKey", "sessionValue");</p>
<p>3、request *&nbsp;(可以进行属性的读写操作)</p>
<p>　　ActionContext 中并没有提供 getRequest 方法来获取 request 对应的 Map，需要手工调用 get() 方法，传入 request 字符串来获取。</p>
<p>　　Map&lt;String, Object&gt; requestMap = (Map&lt;String, Object&gt;) actionContext.get("request");</p>
<p>　　requestMap.put("requestKey", "requestValue");</p>
<p>4、获取请求参数对应的 Map，并获取指定的参数值。</p>
<p>键：请求参数的名字。值：请求参数的值对应的字符串数组。</p>
<p>注意：1、getParameters 的返回值为在 Map&lt;String, Object&gt;,而不是Map&lt;String, String[]&gt;.</p>
<p>　　　2、parameters 这个 Map 只能读，不能写入数据，如果写入，但不出错，但也不起作用。</p>
<p>二、实现 XxxAware 接口</p>
<p>Action 类通过可以实现某些特定的接口，让 Struts2 框架在运行时向 Action 实例注入 parameters、request、session 和 application 对应的 Map 对象。</p>
<p>implements ApplicationAware, ParameterAware, RequestAware, SessionAware</p>
<p>因为解耦的方式只能获取 Map，有的时候我们需要用到原生的 API。所以需要耦合的方式。</p>
<p>一、使用 ServletActionContext 的方式：可以从中获取到当前 Action 对象需要的一切 Servlet API 相关的对象。</p>
<p>常用的方法：</p>
<p>1、获取 HttpServletRequest：ServletActionContext.getRequest();</p>
<p>2、获取 HttpSession: ServletActionContext.getRequest().getSession();</p>
<p>3、获取 ServletContext：ServletActionContext.getServletContext();</p>
<p>二、实现 ServletXxxAware 接口的方式</p>
<p>implements ServletRequestAware, &nbsp;ServletContextAware, ServletResponseAware</p>
<p>over。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 18:39:40 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%b8%ba%e4%bb%80%e4%b9%88/" title="为什么">为什么</a>, <a href="https://www.biecuoliao.com/tag/tap/" title="tap">tap</a>, <a href="https://www.biecuoliao.com/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.biecuoliao.com/tag/%e9%9c%80%e8%a6%81/" title="需要">需要</a>, <a href="https://www.biecuoliao.com/tag/ssi/" title="ssi">ssi</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.biecuoliao.com/tag/%e8%a7%a3%e8%80%a6/" title="解耦">解耦</a>, <a href="https://www.biecuoliao.com/tag/invalid/" title="invalid">invalid</a>, <a href="https://www.biecuoliao.com/tag/ida/" title="ida">ida</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Struts2：在 Action 中访问 WEB 资源的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qOw7aM.html" rel="bookmark">在Action 中访问web资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是web资源: HttpServletRequest,HttpSession,ServletContext等原生的Servlet API. 2.为什么要访问web资源? B/S应用的Controller 中必然需要访问web资源:如域对象中读写属性,读取Cookie,获取realPath... 3.如何访问? 1.和Servlet API 解耦的方式:只能访问有限的Servlet API 对象,且只能访问有限的方法(读取请求的参数,读写域对象的属性,使Session对象失效等等) --&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDjqqo3.html" rel="bookmark">Struts2的Action中访问servletAPI方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				struts2的数据存放中心为ActionContext,其是每次请求来时都会创建一个ActionContext,访问结束销毁,其绑定在ThreadLocal上,由于每次访问web容器都会为每次请求创建一个独立的线程ThreadLocal,而ActionContext绑定在ThreadLocal上,所以各个ActionContext是相互独立和安全的,在ActionContext中还持有其他的域对象引用,如application,session等,ActionContext销毁时只销毁自己内部创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVVrZ1M.html" rel="bookmark">Struts2&lpar;四&rpar;：在Action中如何访问Web资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么WEB资源? HttpServletRequest,HttpServletRespone,HttpApplication,ServletContext,HttpSession等原生ServletAPI. 2.在Struts2中为什么要访问WEB资源? B/S应用中的Controller必然会有场景需要访问WEB资源:向域对象中读写属性,读取Cookie,获取realPath等. 3.在Struts2中如何访问WEB资源? a)和ServletAPI解耦的方式:只能有限的ServletAP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/74QWGk0.html" rel="bookmark">Struts2学习第三课 访问Web资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是WEB资源? HttpServletRequest,HttpSession,ServletContext等原生的Servlet API. 2.为什么访问WEB资源? B/S的应用的Controller中必然需要访问WEB资源,例如,向域对象中读写属性,读写Cookie,获取realPath等等. 3.如何访问? 在Action中,可以通过一下方式访问web的HttpSession,HttpServletRequest,HttpServletResponse等资源 与Servlet AP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vj8Za3.html" rel="bookmark">Struts2中访问web元素的四种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Struts2中访问web元素的四种方式如下: 通过ActionContext来访问Map类型的request.session.application对象. 通过实现RequestAware.SessionAware.ApplicationAware接口来访问Map类型的request.session.application对象(IoC方式). 通过ServletActionContext来访问Servlet API类型的HttpServletRequest. HttpSession. Serv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NXlKw0.html" rel="bookmark">JSP中的内置对象和Struts中的Web资源的详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSP中的内置对象有如下几种: request :继承于HttpServletRequest, HttpServletRequest继承ServletRequest, 获得的Request对象的方法:只能在Servlet中获取的doGet()和doPost()方法中获取 作用:封装用户请求信息 response   : 继承于HttpServletResponse,   HttpServletResponse继承ServletResponse 获得response对象的方法:只能在Servlet			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nLEaV4.html" rel="bookmark">尚硅谷公开课--struts2--3--struts2中获取web资源的几种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在struts2中,可以在JavaBean类中写公用的返回值为String类型的方法来响应页面上的请求,也可以在此方法中获取web资源,如:request,application,session,parameters等. 一.通过ActionContext获取 步骤: 1.获取ActionContext对象 通过ActionContext.getContext()获取一个ActionContext的实例 2.获取web资源对应胡Map 此Map类型为Map&lt;String,Object&gt;.获取方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vylXj0.html" rel="bookmark">6、访问web资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是web资源? HttpServletRequest.HttpSession.ServletContext等原生servlet API 2.为什么访问web资源? B\S 的应用中Controller中必然要访问web资源:向域对象中读写属性,读写cookie.读写realPath..... 3.如何访问? ①和Servlet API解耦的方式:只能访问有限的servlet API 对象,且只能访问其有限的对象方法(读取请求参数.读取域对象的属性.使session失效) &gt;使用Actio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pNEay0.html" rel="bookmark">Struts2 的Action中取得请求参数值的几种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Struts2 的Action中取得请求参数值的几种方法 先看GetRequestParameterAction类代码: Java代码 public class GetRequestParameterAction extends ActionSupport { private String bookName; private String bookPrice; public String getBookName() { return bookName; } public void setBook			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDmXeM.html" rel="bookmark" class="title">第二周-3：CSS核心技术</a>
					<div>
						(1)神奇的float: &lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjB1k3.html" rel="bookmark" class="title">中间件测试内容及指标</a>
					<div>
						一.核心功能测试指标                      交易中间件测试内容1 名字服务:测试中间件对透明的名字服务的支持和正确性2 负载均衡:测试中间件对自动在系统中完成负载平衡的支持和正确性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgVQL3.html" rel="bookmark" class="title">Collapsing margins&lpar;外边距合并&rpar;</a>
					<div>
						开篇 块元素的上边距或下边距有时会合并为一个margin,这种情况称之为外边距的合并,即collapsing margins. 一个常见的css样式的bug html&amp;css: &lt;!DO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ML2YLy3.html" rel="bookmark" class="title">tornado&mdash;web框架基础入门</a>
					<div>
						一.简介 Tornado 是 FriendFeed 使用的可扩展的非阻塞式 web 服务器及其相关工具的开源版本.这个 Web 框架看起来有些像web.py 或者 Google 的 webapp,不过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVzp9jM.html" rel="bookmark" class="title">面向对象编程案例02--显示地调用父类的&lowbar;&lowbar;init&lowbar;&lowbar;&lpar;&rpar;</a>
					<div>
						# -*- coding: utf-8 -*- #python 27 #xiaodeng #面向对象编程案例02--显示地调用父类的__init__() ''' 继承是面向对象的重要特征之一,继承是2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXnKab3.html" rel="bookmark" class="title">在Linux中安装Matlab</a>
					<div>
						因为实验的要求需要在服务器上安装matlab.今天下载并安装了下,记录点东西. 首先是下载,找了很久才发现有个靠谱的.链接为:http://bbs.feng.com/read-htm-tid-6280 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekJLa4.html" rel="bookmark" class="title">Yii&colon;&colon;app&lpar;&rpar;方法详解</a>
					<div>
						1.Yii::app()返回的是一个当前框架应用程序的对象 2.Yii::app()是framework/web/CWebApplication.php类实例化的对象,所以可以调用CWebApplic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLkyy4.html" rel="bookmark" class="title">【Python】Python用ConfigParser管理配置文件</a>
					<div>
						Python也提供了一个管理配置文件的模块:ConfigParser,有了这个我们在写程序的时候就可以把一些配置信息单独写到配置文件中就可以了,如:数据库的连接信息等. 1.配置文件的格式 配置文件必 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqljk3.html" rel="bookmark" class="title">基于文件的离线数据同步方案</a>
					<div>
						产品此前的数据备份方案,存在不少问题,所以需要设计一个新的方案.本文总结一下新旧方案的优劣 首先APP是一个支持离线的应用.本地数据保存在sqlite,在离线环境下,在本地数据库里读写记录,在有网络的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waZPQM.html" rel="bookmark" class="title">LAMP&plus;NFS之各系统连接</a>
					<div>
						一.配置http服务器 1.启用httpd相关模块 此处htt服务器和php服务器是通过FastCGI来连接的,借助的模块为mod_proxy_fcgi.so,它是mod_proxy. so模块的扩展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AENBv4.html" rel="bookmark" class="title">C&num;多进程并行</a>
					<div>
						为了并行执行多个任务,可以启动多个进程(并行数). 下面提供两种方法,总任务数10,最大并行数4. 一.方法1 using System; using System.Collections.Gener ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzVvw4.html" rel="bookmark" class="title">五招避开银行小额账户管理费&lbrack;转&rsqb;</a>
					<div>
						银行对于存款不足一定金额的小额账户,规定收取每月1元的小额账户管理费,这一规定虽然让很多储户感到不爽,但也无可奈何,钱就在账户放着,银行要扣你有什么办法?假如储户的账户内有96元,每年扣除12元,大约 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBeeWM.html" rel="bookmark" class="title">查找最近距离geohash算法（增加周边邻近编号）</a>
					<div>
						接着上一篇文章:查找附近网点geohash算法及实现 (Java版本) http://blog.csdn.net/sunrise_2013/article/details/42024813 参考文档: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6x7LW3.html" rel="bookmark" class="title">Eclipse打jar包的方法</a>
					<div>
						1.准备主清单文件 “MANIFEST.MF” Manifest-Version: 1.0 Class-Path: lib/commons-codec.jar lib/commons-httpclie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35po720.html" rel="bookmark" class="title">AngularJs&mdash;&mdash;grunt神器的使用</a>
					<div>
						前面我们已经知道了如何安装grunt,本章节给各位道友介绍如何使用 grunt 的插件,grunt是重点在于如何配置使用 Gruntfile.js,官网上也有很多范例. 1,包装函数 module.e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6vxJyM.html" rel="bookmark" class="title">管理输入输出 管道 tee</a>
					<div>
						管理输入输出 在linux系统中,正确输出的编号为1,错误输出编号为2 在系统中用普通用户执行 &quot;student&quot;find /etc -name passwd 因为student用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPRbXP3.html" rel="bookmark" class="title">创建表报：响应不是格式正确的XML</a>
					<div>
						因为有几个流程表字段都差不多,所以我选择新建一个表后,将其导出,然后导入的时候更改名称:结果在导入的时候报了:不能违反唯一性约束的错误: 看到这个错误我一开始以为是没有导入成功的,所以打算手动创建其他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lm2nb3.html" rel="bookmark" class="title">Oracle VM &plus; centos7&period;1&plus;openstack kilo 多结点安装教程---neutron的安装（3）</a>
					<div>
						声明:最近在进行openstack的kilo版本的安装,发现现有的网络教程非常少,而且多数教程并不能安装成功,故写此教程.openstack的安装较为复杂,本教程并不能保证在不同环境下也能将其安装成功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ALyQZ3.html" rel="bookmark" class="title">C&num;编程--第三天</a>
					<div>
						语句 语句是指程序命令,都是按照顺序执行的.语句在程序中的执行顺序称之为“控制流”或“执行流”.根据程序对运行时所收到的输入的响应,在程序每次运行时程序流可能有所不同.    注意,语句间的标点符号必 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDky784.html" rel="bookmark" class="title">ios：NSURLSessionDataTask做文件断点下载</a>
					<div>
						之前用afn2.x的AFHttpOperation结合sqlite数据库管理做了文件的断点下载功能,之后苹果宣布要开始限制ipv4,不过AFN的东西时给予high-level的APIs的,因此不需要修 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
